svn commit: r326001 - head/etc

Andriy Voskoboinyk avos at FreeBSD.org
Sun Nov 19 20:18:23 UTC 2017


Author: avos
Date: Sun Nov 19 20:18:21 2017
New Revision: 326001
URL: https://svnweb.freebsd.org/changeset/base/326001

Log:
  Reduce code duplication for wlan(4) interface creation in network.subr.
  
  Since wlandebug(8) can accept any (original or changed) interface name
  this part may be simplified a bit.

Modified:
  head/etc/network.subr

Modified: head/etc/network.subr
==============================================================================
--- head/etc/network.subr	Sun Nov 19 20:13:11 2017	(r326000)
+++ head/etc/network.subr	Sun Nov 19 20:18:21 2017	(r326001)
@@ -1270,22 +1270,14 @@ wlan_up()
 			fi
 			if expr $child : 'wlan[0-9][0-9]*$' >/dev/null 2>&1; then
 				${IFCONFIG_CMD} $child create ${create_args} && cfg=0
-				if [ $? -eq 0 ]; then
-					_list="$_list $child"
-				fi
-				if [ -n "${debug_flags}" ]; then
-					wlandebug -i $child ${debug_flags}
-				fi
 			else
-				i=`${IFCONFIG_CMD} wlan create ${create_args}`
-				# XXXGL: wlandebug should accept any name
-				if [ -n "${debug_flags}" ]; then
-					wlandebug -i $i ${debug_flags}
-				fi
-				${IFCONFIG_CMD} $i name $child && cfg=0
-				if [ $? -eq 0 ]; then
-					_list="$_list $child"
-				fi
+				${IFCONFIG_CMD} wlan create ${create_args} name $child && cfg=0
+			fi
+			if [ $? -eq 0 ]; then
+				_list="$_list $child"
+			fi
+			if [ -n "${debug_flags}" ]; then
+				wlandebug -i $child ${debug_flags}
 			fi
 		done
 	done


More information about the svn-src-all mailing list